## com.bbn.openmap.tools.roads
Class RoadFinder.RoadClasses

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              com.bbn.openmap.tools.roads.RoadFinder.RoadClasses

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

Enclosing class:
  RoadFinder

public static class RoadFinder.RoadClasses
extends java.util.Hashtable

See Also:
  Serialized Form

Constructor Summary
`RoadFinder.RoadClasses()`

Method Summary
`float` `getBestConvoySpeed()`
`float` `getWorstConvoySpeed()`
`void` `put(RoadClass roadClass)`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoadFinder.RoadClasses

    public RoadFinder.RoadClasses()

Method Detail

### put

    public void put(RoadClass roadClass)

### getBestConvoySpeed

    public float getBestConvoySpeed()

### getWorstConvoySpeed

    public float getWorstConvoySpeed()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details